Bug 1540339 - rospack FTBFS with boost-1.66.0
Summary: rospack FTBFS with boost-1.66.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rospack
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Hofmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-30 19:41 UTC by Jonathan Wakely
Modified: 2018-06-08 13:11 UTC (History)
2 users (show)

Fixed In Version: rospack-2.0.14-20.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 13:11:30 UTC
Type: Bug


Attachments (Terms of Use)
build.log (20.98 KB, text/plain)
2018-05-28 16:02 UTC, Fedora Release Engineering
no flags Details
root.log (86.64 KB, text/plain)
2018-05-28 16:02 UTC, Fedora Release Engineering
no flags Details
state.log (627 bytes, text/plain)
2018-05-28 16:02 UTC, Fedora Release Engineering
no flags Details

Description Jonathan Wakely 2018-01-30 19:41:09 UTC
Failing scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=24513589

The error is:

In file included from /builddir/build/BUILD/rospack-7566552db130c2f2a3f5b43c4eab1d78fc4f3c4d/src/rospack.cpp:28:0:
/builddir/build/BUILD/rospack-7566552db130c2f2a3f5b43c4eab1d78fc4f3c4d/include/rospack/rospack.h:108:10: fatal error: boost/tr1/unordered_set.hpp: No such file or directory
 #include <boost/tr1/unordered_set.hpp>
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.

Boost.TR1 has been removed from Boost, so the code needs to be updated to either use boost::unordered::unordered_set from <boost/unordered/unordered_set.h> or just std::unordered_set from <unordered_set>.

Comment 1 Fedora End Of Life 2018-02-20 15:21:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Fedora Release Engineering 2018-05-28 16:02:33 UTC
Created attachment 1443483 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-28 16:02:40 UTC
Created attachment 1443484 [details]
root.log

Comment 4 Fedora Release Engineering 2018-05-28 16:02:47 UTC
Created attachment 1443485 [details]
state.log

Comment 5 Fedora Update System 2018-05-30 16:55:31 UTC
rospack-2.0.14-20.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3374fa1b23

Comment 6 Fedora Update System 2018-05-31 13:01:03 UTC
rospack-2.0.14-20.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3374fa1b23

Comment 7 Fedora Update System 2018-06-08 13:11:30 UTC
rospack-2.0.14-20.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.